/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __TIZEN_CORE_YACA_KEY_DOC_H__
#define __TIZEN_CORE_YACA_KEY_DOC_H__
/**
  * @ingroup CAPI_YACA_MODULE
  * @defgroup CAPI_YACA_KEY_MODULE YACA Key Management
  * @brief    Provides APIs for key handling operations such as generating and importing a key.
  *
  * @section CAPI_YACA_KEY_MODULE_HEADER Required Header
  * \#include <yaca/yaca_key.h>\n
  *
  * @section CAPI_YACA_KEY_MODULE_OVERVIEW Overview
  * It provides APIs for generating key using random number or password, importing a key trying to match it to the key_type specified and exporting a key to arbitrary format.
  *
  * @section CAPI_YACA_KEY_MODULE_EXAMPLES Examples
  * Key generation API example
  * @snippet examples/key_gen.c Key generation API example
  * Symmetric key import/export API example
  * @snippet examples/key_import_export_sym.c Symmetric key import/export API example
  * Asymmetric key import/export API example
  * @snippet examples/key_import_export_asym.c Asymmetric key import/export API example
  * Key import/export with password API example
  * @snippet examples/key_password.c Key import/export with password API example
  * Diffie-Helmann key exchange API example
  * @snippet examples/key_exchange.c Diffie-Helmann key exchange API example
  * Key wrapping API example
  * @snippet examples/key_wrap.c Key wrapping API example
  */

#endif /* __TIZEN_CORE_YACA_KEY_DOC_H__ */
