/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __TIZEN_CORE_YACA_SIMPLE_DOC_H__
#define __TIZEN_CORE_YACA_SIMPLE_DOC_H__
/**
  * @ingroup CAPI_YACA_MODULE
  * @defgroup CAPI_YACA_SIMPLE_MODULE YACA Simple Crypto
  * @brief    Provides simple APIs for cryptographic operations.
  *
  * @section CAPI_YACA_SIMPLE_MODULE_HEADER Required Header
  * \#include <yaca/yaca_simple.h>\n
  *
  * @section CAPI_YACA_SIMPLE_MODULE_OVERVIEW Overview
  * It provides simple APIs for encryption/decryption, signing/verification, and message digestion.
  *
  * @section CAPI_YACA_SIMPLE_MODULE_EXAMPLES Examples
  * Simple Encrypt API example
  * @snippet examples/encrypt_simple.c Simple Encrypt API example
  * Simple Message Digest API example
  * @snippet examples/digest_simple.c Simple Message Digest API example
  * Simple Signature API example
  * @snippet examples/sign_simple.c Simple Signature API example
  * Simple CMAC Signature API example
  * @snippet examples/sign_simple_cmac.c Simple CMAC Signature API example
  */

#endif /* __TIZEN_CORE_YACA_SIMPLE_DOC_H__ */
